# Uses of Class
com.databricks.jdbc.model.core.ColumnInfo

Packages that use ColumnInfo
Package
Description
com.databricks.jdbc.api.impl
com.databricks.jdbc.api.impl.converters
com.databricks.jdbc.common.util
com.databricks.jdbc.model.core

## Uses of ColumnInfo in com.databricks.jdbc.api.impl

Methods in com.databricks.jdbc.api.impl with parameters of type ColumnInfo
Modifier and Type
Method
Description
`int[]`
DatabricksResultSetMetaData.`getPrecisionAndScale(ColumnInfo columnInfo)`
`int[]`
DatabricksResultSetMetaData.`getPrecisionAndScale(ColumnInfo columnInfo, int columnType)`

## Uses of ColumnInfo in com.databricks.jdbc.api.impl.converters

Methods in com.databricks.jdbc.api.impl.converters with parameters of type ColumnInfo
Modifier and Type
Method
Description
`static Object`
ArrowToJavaObjectConverter.`convert(org.apache.arrow.vector.ValueVector columnVector, int vectorIndex, ColumnInfoTypeName requiredType, String arrowMetadata, ColumnInfo columnInfo)`

## Uses of ColumnInfo in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util that return ColumnInfo
Modifier and Type
Method
Description
`static ColumnInfo`
DatabricksThriftUtil.`getColumnInfoFromTColumnDesc(TColumnDesc columnDesc)`

## Uses of ColumnInfo in com.databricks.jdbc.model.core

Methods in com.databricks.jdbc.model.core that return ColumnInfo
Modifier and Type
Method
Description
`ColumnInfo`
ColumnInfo.`setName(String name)`
`ColumnInfo`
ColumnInfo.`setPosition(Long position)`
`ColumnInfo`
ColumnInfo.`setTypeIntervalType(String typeIntervalType)`
`ColumnInfo`
ColumnInfo.`setTypeName(ColumnInfoTypeName typeName)`
`ColumnInfo`
ColumnInfo.`setTypePrecision(Long typePrecision)`
`ColumnInfo`
ColumnInfo.`setTypeScale(Long typeScale)`
`ColumnInfo`
ColumnInfo.`setTypeText(String typeText)`
Methods in com.databricks.jdbc.model.core that return types with arguments of type ColumnInfo
Modifier and Type
Method
Description
`Collection<ColumnInfo>`
ResultSchema.`getColumns()`
Method parameters in com.databricks.jdbc.model.core with type arguments of type ColumnInfo
Modifier and Type
Method
Description
`ResultSchema`
ResultSchema.`setColumns(Collection<ColumnInfo> columns)`